curl
curl -X GET "https://api.triggr-app.com/api/v1/openapi.json"const res = await fetch("https://api.triggr-app.com/api/v1/openapi.json", {
method: "GET",
});
if (!res.ok) throw new Error(`Triggr ${res.status}: ${await res.text()}`);
const data = await res.json();Invoke-RestMethod -Method Get -Uri 'https://api.triggr-app.com/api/v1/openapi.json'import requests
url = "https://api.triggr-app.com/api/v1/openapi.json"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.triggr-app.com/api/v1/openapi.json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.triggr-app.com/api/v1/openapi.json",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.triggr-app.com/api/v1/openapi.json"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.triggr-app.com/api/v1/openapi.json")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.triggr-app.com/api/v1/openapi.json")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"info": {
"title": "Triggr Public API",
"version": "1.4.0"
},
"openapi": "3.0.3",
"paths": {
"…": {}
}
}Meta
This document
The OpenAPI 3.0 description of the public API. No authentication.
GET
/
api
/
v1
/
openapi.json
curl
curl -X GET "https://api.triggr-app.com/api/v1/openapi.json"const res = await fetch("https://api.triggr-app.com/api/v1/openapi.json", {
method: "GET",
});
if (!res.ok) throw new Error(`Triggr ${res.status}: ${await res.text()}`);
const data = await res.json();Invoke-RestMethod -Method Get -Uri 'https://api.triggr-app.com/api/v1/openapi.json'import requests
url = "https://api.triggr-app.com/api/v1/openapi.json"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.triggr-app.com/api/v1/openapi.json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.triggr-app.com/api/v1/openapi.json",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.triggr-app.com/api/v1/openapi.json"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.triggr-app.com/api/v1/openapi.json")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.triggr-app.com/api/v1/openapi.json")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"info": {
"title": "Triggr Public API",
"version": "1.4.0"
},
"openapi": "3.0.3",
"paths": {
"…": {}
}
}Response
200 - application/json
OK
The response is of type object.
⌘I

